Bug 30396 - Convert basket groups page tabs to Bootstrap
Summary: Convert basket groups page tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-03-29 11:48 UTC by Owen Leonard
Modified: 2022-04-15 11:18 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30396: Convert basket groups page tabs to Bootstrap (17.65 KB, patch)
2022-03-29 11:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30396: Convert basket groups page tabs to Bootstrap (17.70 KB, patch)
2022-03-29 15:56 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30396: Convert basket groups page tabs to Bootstrap (17.76 KB, patch)
2022-04-03 10:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-03-29 11:48:08 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the basket groups template with Bootstrap.
Comment 1 Owen Leonard 2022-03-29 11:54:22 UTC
Created attachment 132403 [details] [review]
Bug 30396: Convert basket groups page tabs to Bootstrap

This patch replaces the use of jQueryUI tabs on the basket groups page,
in the view where open and closed basket groups are displayed in
separate tabs.

This patch includes indentation changes, so please ignore whitespace
when using your preferred diff tool.

To test you should have at least two basket groups set up in
Acquisitions, one open and one closed.

Go to Acquisitions -> Vendor -> Basket groups and confirm that the
"Open" and "Closed" tabs look correct and work correctly.

Under the "Closed" tab, try clicking the "Reopen" button. The page will
refresh but you should still see the "Closed" tab active.
Comment 2 Lucas Gass 2022-03-29 15:56:12 UTC
Created attachment 132474 [details] [review]
Bug 30396: Convert basket groups page tabs to Bootstrap

This patch replaces the use of jQueryUI tabs on the basket groups page,
in the view where open and closed basket groups are displayed in
separate tabs.

This patch includes indentation changes, so please ignore whitespace
when using your preferred diff tool.

To test you should have at least two basket groups set up in
Acquisitions, one open and one closed.

Go to Acquisitions -> Vendor -> Basket groups and confirm that the
"Open" and "Closed" tabs look correct and work correctly.

Under the "Closed" tab, try clicking the "Reopen" button. The page will
refresh but you should still see the "Closed" tab active.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2022-04-03 10:42:19 UTC
Created attachment 132914 [details] [review]
Bug 30396: Convert basket groups page tabs to Bootstrap

This patch replaces the use of jQueryUI tabs on the basket groups page,
in the view where open and closed basket groups are displayed in
separate tabs.

This patch includes indentation changes, so please ignore whitespace
when using your preferred diff tool.

To test you should have at least two basket groups set up in
Acquisitions, one open and one closed.

Go to Acquisitions -> Vendor -> Basket groups and confirm that the
"Open" and "Closed" tabs look correct and work correctly.

Under the "Closed" tab, try clicking the "Reopen" button. The page will
refresh but you should still see the "Closed" tab active.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Fridolin Somers 2022-04-12 09:41:49 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄